From: Uladzimir Bely <ubely@ilbers.de>
To: isar-users@googlegroups.com
Subject: [PATCH 1/2] Install diffoscope binary if not installed
Date: Tue, 29 Nov 2022 18:58:13 +0100 [thread overview]
Message-ID: <20221129175814.16355-2-ubely@ilbers.de> (raw)
In-Reply-To: <20221129175814.16355-1-ubely@ilbers.de>
New `reproducable` test requires `diffoscope` utility to be
installed on the machine running CI.
Signed-off-by: Uladzimir Bely <ubely@ilbers.de>
---
scripts/ci_build.sh | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/scripts/ci_build.sh b/scripts/ci_build.sh
index 820a5609..f2f908d6 100755
--- a/scripts/ci_build.sh
+++ b/scripts/ci_build.sh
@@ -23,6 +23,11 @@ if ! command -v avocado > /dev/null; then
source /tmp/avocado_venv/bin/activate
pip install avocado-framework==96.0
fi
+# install diffoscope package if not yet installed
+if ! command -v diffoscope > /dev/null; then
+ sudo apt-get update -qq
+ sudo apt-get install -y --no-install-recommends diffoscope
+fi
# Get Avocado build tests path
TESTSUITE_DIR="$(pwd)/testsuite"
--
2.20.1
next prev parent reply other threads:[~2022-11-29 17:58 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-11-29 17:58 [RFC PATCH 0/2] check Isar image for reproducability Uladzimir Bely
2022-11-29 17:58 ` Uladzimir Bely [this message]
2022-11-29 17:58 ` [PATCH 2/2] testsuite: " Uladzimir Bely
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20221129175814.16355-2-ubely@ilbers.de \
--to=ubely@ilbers.de \
--cc=isar-users@googlegroups.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox